fr

Changes for GOG.com - Little Big Adventure 2

Revision by petch (17 May 2013 23:47:35)

@@ -1,6 +1,6 @@
 #!/bin/bash
 # Date : (2012-08-02 15-20)
-# Last revision : (2013-04-13 11-01)
+# Last revision : (2013-05-17 23-32)
 # Wine version used : 1.4-dos_support_0.6
 # Distribution used to test : Debian Sid (Unstable)
 # Author : Pierre Etchemaite pe-pol@concept-micro.com
@@ -26,7 +26,7 @@
 
 POL_SetupWindow_presentation "$TITLE" "Adeline Software International / Didier Chanfray SARL" "http://www.gog.com/gamecard/$GOGID" "Pierre Etchemaite" "$PREFIX"
 
-POL_Call POL_GoG_setup "$GOGID" "cb7cd7056cbb8bf7164548185795667f"
+POL_Call POL_GoG_setup "$GOGID" "80ae502334f720295ee3e1b02f5101f0"
 
 POL_Wine_SelectPrefix "$PREFIX"
 POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
@@ -40,23 +40,34 @@
 cpu_core=auto
 cpu_cputype=auto
 cpu_cycles=max
-mixer_prebuffer=240
+mixer_rate=22050
+mixer_blocksize=2048
+mixer_prebuffer=80
+sblaster_type=sb16
+sblaster_base=220
+sblaster_irq=5
+sblaster_dma=1
+sblaster_hdma=5
+sblaster_mixer=true
+sblaster_oplmode=auto
+sblaster_oplrate=22050
+gus_gus=false
 _EOFCFG_
 
 cat <<_EOFAE_ > "$WINEPREFIX/drive_c/autoexec.bat"
-imgmount D "$WINEPREFIX/drive_c/$PROGRAMFILES/GOG.com/Little Big Adventure 2/LBA2.DAT" -t iso
+imgmount D "$GOGROOT/Little Big Adventure 2/LBA2.DAT" -t iso
 _EOFAE_
 
 # LBA2.EXE is detected as Windows executable
-cat <<_EOFBAT_ > "$WINEPREFIX/drive_c/$PROGRAMFILES/GOG.com/Little Big Adventure 2/LBA2.BAT"
+cat <<_EOFBAT_ > "$GOGROOT/Little Big Adventure 2/LBA2.BAT"
 @ECHO OFF
 LBA2.EXE
 EXIT
 _EOFBAT_
 
 POL_Shortcut "LBA2.BAT" "$SHORTCUT_NAME" "$SHORTCUT_NAME.png" "" "Game;AdventureGame;"
-POL_Shortcut_Document "$SHORTCUT_NAME" "$WINEPREFIX/drive_c/$PROGRAMFILES/GOG.com/Little Big Adventure 2/manual.pdf"
-# C:\Program Files\GOG.com\Little Big Adventure 2\README.TXT
+POL_Shortcut_Document "$SHORTCUT_NAME" "$WINEPREFIX/drive_c/GOG Games/Little Big Adventure 2/manual.pdf"
+# C:\GOG Games\Little Big Adventure 2\README.TXT
 
 POL_SetupWindow_Close
 
@@ -68,7 +79,7 @@
 export WINEDEBUG="-all"
 
 POL_LoadVar_PROGRAMFILES
-cd "\$WINEPREFIX/drive_c/\$PROGRAMFILES/GOG.com/Little Big Adventure 2/" || exit 1
+cd "$GOGROOT/Little Big Adventure 2/" || exit 1
 TITLE="$TITLE"
 POL_Debug_Init
 POL_Wine Language.exe

Revision by petch (13 April 2013 12:03:20)

@@ -1,7 +1,7 @@
 #!/bin/bash
 # Date : (2012-08-02 15-20)
-# Last revision : (2012-10-29 02-27)
-# Wine version used : 1.4-dos_support_0.5
+# Last revision : (2013-04-13 11-01)
+# Wine version used : 1.4-dos_support_0.6
 # Distribution used to test : Debian Sid (Unstable)
 # Author : Pierre Etchemaite pe-pol@concept-micro.com
 # Script licence : GPL v.2
@@ -13,7 +13,7 @@
 
 GOGID="little_big_adventure_2"
 PREFIX="LittleBigAdventure2_gog"
-WORKING_WINE_VERSION="1.4-dos_support_0.5"
+WORKING_WINE_VERSION="1.4-dos_support_0.6"
 
 TITLE="GOG.com - Little Big Adventure 2"
 SHORTCUT_NAME="Little Big Adventure 2: Twinsen's Odyssey"
@@ -24,19 +24,15 @@
 POL_SetupWindow_SetID 1342
 POL_Debug_Init
 
-POL_SetupWindow_presentation "$TITLE" "Adeline Software International / Didier Chanfray SARL" "http://www.gog.com/en/gamecard/$GOGID" "Pierre Etchemaite" "$PREFIX"
+POL_SetupWindow_presentation "$TITLE" "Adeline Software International / Didier Chanfray SARL" "http://www.gog.com/gamecard/$GOGID" "Pierre Etchemaite" "$PREFIX"
 
 POL_Call POL_GoG_setup "$GOGID" "cb7cd7056cbb8bf7164548185795667f"
 
 POL_Wine_SelectPrefix "$PREFIX"
 POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
 
-# Prevent GoG installer from installing Acrobat Reader or Foxit in each prefix
-POL_Call POL_Function_SetNativeExtension "pdf"
+POL_Call POL_GoG_install
 
-POL_Wine_WaitBefore "$TITLE"
-
-POL_Wine "$POL_GoG_location" || POL_Debug_Fatal "$(eval_gettext 'Error while installing archive')"
 
 cat <<_EOFCFG_ >> "$WINEPREFIX/playonlinux_dos.cfg"
 manual_mount=true
@@ -58,7 +54,7 @@
 EXIT
 _EOFBAT_
 
-POL_Shortcut "LBA2.BAT" "$SHORTCUT_NAME" "$SHORTCUT_NAME.png" ""
+POL_Shortcut "LBA2.BAT" "$SHORTCUT_NAME" "$SHORTCUT_NAME.png" "" "Game;AdventureGame;"
 POL_Shortcut_Document "$SHORTCUT_NAME" "$WINEPREFIX/drive_c/$PROGRAMFILES/GOG.com/Little Big Adventure 2/manual.pdf"
 # C:\Program Files\GOG.com\Little Big Adventure 2\README.TXT
 
@@ -76,7 +72,7 @@
 TITLE="$TITLE"
 POL_Debug_Init
 POL_Wine Language.exe
-exit
+exit 0
 _EOF_
 
-exit
+exit 0

Revision by petch (28 October 2012 13:14:43)

@@ -1,6 +1,6 @@
 #!/bin/bash
 # Date : (2012-08-02 15-20)
-# Last revision : (2012-08-02 18-15)
+# Last revision : (2012-10-29 02-27)
 # Wine version used : 1.4-dos_support_0.5
 # Distribution used to test : Debian Sid (Unstable)
 # Author : Pierre Etchemaite pe-pol@concept-micro.com
@@ -15,12 +15,13 @@
 PREFIX="LittleBigAdventure2_gog"
 WORKING_WINE_VERSION="1.4-dos_support_0.5"
 
-TITLE="Little Big Adventure 2: Twinsen's Odyssey (GoG release)"
+TITLE="GOG.com - Little Big Adventure 2"
 SHORTCUT_NAME="Little Big Adventure 2: Twinsen's Odyssey"
 
 POL_GetSetupImages "http://files.playonlinux.com/resources/setups/$PREFIX/top.jpg" "http://files.playonlinux.com/resources/setups/$PREFIX/left.jpg" "$TITLE"
 
 POL_SetupWindow_Init
+POL_SetupWindow_SetID 1342
 POL_Debug_Init
 
 POL_SetupWindow_presentation "$TITLE" "Adeline Software International / Didier Chanfray SARL" "http://www.gog.com/en/gamecard/$GOGID" "Pierre Etchemaite" "$PREFIX"

Revision by petch (02 August 2012 19:05:37)

No change were made in the code

Revision by petch (02 August 2012 19:01:36)

@@ -0,0 +1,81 @@
+#!/bin/bash
+# Date : (2012-08-02 15-20)
+# Last revision : (2012-08-02 18-15)
+# Wine version used : 1.4-dos_support_0.5
+# Distribution used to test : Debian Sid (Unstable)
+# Author : Pierre Etchemaite pe-pol@concept-micro.com
+# Script licence : GPL v.2
+# Program licence : Retail
+# Depend :
+
+[ -z "$PLAYONLINUX" ] && exit 0
+source "$PLAYONLINUX/lib/sources"
+
+GOGID="little_big_adventure_2"
+PREFIX="LittleBigAdventure2_gog"
+WORKING_WINE_VERSION="1.4-dos_support_0.5"
+
+TITLE="Little Big Adventure 2: Twinsen's Odyssey (GoG release)"
+SHORTCUT_NAME="Little Big Adventure 2: Twinsen's Odyssey"
+
+POL_GetSetupImages "http://files.playonlinux.com/resources/setups/$PREFIX/top.jpg" "http://files.playonlinux.com/resources/setups/$PREFIX/left.jpg" "$TITLE"
+
+POL_SetupWindow_Init
+POL_Debug_Init
+
+POL_SetupWindow_presentation "$TITLE" "Adeline Software International / Didier Chanfray SARL" "http://www.gog.com/en/gamecard/$GOGID" "Pierre Etchemaite" "$PREFIX"
+
+POL_Call POL_GoG_setup "$GOGID" "cb7cd7056cbb8bf7164548185795667f"
+
+POL_Wine_SelectPrefix "$PREFIX"
+POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
+
+# Prevent GoG installer from installing Acrobat Reader or Foxit in each prefix
+POL_Call POL_Function_SetNativeExtension "pdf"
+
+POL_Wine_WaitBefore "$TITLE"
+
+POL_Wine "$POL_GoG_location" || POL_Debug_Fatal "$(eval_gettext 'Error while installing archive')"
+
+cat <<_EOFCFG_ >> "$WINEPREFIX/playonlinux_dos.cfg"
+manual_mount=true
+dosbox_memsize=30
+cpu_core=auto
+cpu_cputype=auto
+cpu_cycles=max
+mixer_prebuffer=240
+_EOFCFG_
+
+cat <<_EOFAE_ > "$WINEPREFIX/drive_c/autoexec.bat"
+imgmount D "$WINEPREFIX/drive_c/$PROGRAMFILES/GOG.com/Little Big Adventure 2/LBA2.DAT" -t iso
+_EOFAE_
+
+# LBA2.EXE is detected as Windows executable
+cat <<_EOFBAT_ > "$WINEPREFIX/drive_c/$PROGRAMFILES/GOG.com/Little Big Adventure 2/LBA2.BAT"
+@ECHO OFF
+LBA2.EXE
+EXIT
+_EOFBAT_
+
+POL_Shortcut "LBA2.BAT" "$SHORTCUT_NAME" "$SHORTCUT_NAME.png" ""
+POL_Shortcut_Document "$SHORTCUT_NAME" "$WINEPREFIX/drive_c/$PROGRAMFILES/GOG.com/Little Big Adventure 2/manual.pdf"
+# C:\Program Files\GOG.com\Little Big Adventure 2\README.TXT
+
+POL_SetupWindow_Close
+
+cat <<_EOF_ > "$POL_USER_ROOT/configurations/configurators/$SHORTCUT_NAME"
+#!/bin/bash
+[ -z "\$PLAYONLINUX" ] && exit 0
+source "\$PLAYONLINUX/lib/sources"
+export WINEPREFIX="\$POL_USER_ROOT/wineprefix/$PREFIX"
+export WINEDEBUG="-all"
+
+POL_LoadVar_PROGRAMFILES
+cd "\$WINEPREFIX/drive_c/\$PROGRAMFILES/GOG.com/Little Big Adventure 2/" || exit 1
+TITLE="$TITLE"
+POL_Debug_Init
+POL_Wine Language.exe
+exit
+_EOF_
+
+exit
Il n'y a rien à voir ici